GNU bug report logs - #46459
28.0.50; Shared keymap for Git VC dir "Branch" header?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Protesilaos Stavrou <info@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 46459 <at> debbugs.gnu.org and Protesilaos Stavrou <info@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 17 Jun 2022 12:54:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 08:54:04 2022
Received: from localhost ([127.0.0.1]:44258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2BUC-0008G8-8Y
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:54:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2BUB-0008Fd-9a
 for 46459 <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:54:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HfxL+1cus2DX69hGqtvHLvviNzbRybprZH1Q2gnTlUA=; b=JYxR+qv6UtHzVHqxGENZFc7PHx
 cp3yGyVXlAH5G0Bos/aqXNgMlLAmEeMecRwlPYtE7Lv6ruky66NGySIjZlIDNViYRwSm2dJKhlOlL
 3QlnbT1VQSDv7GomvDiHXkONMu1xGkK98SDqcEEG1Ud53mE5rOWyz3ETKNCzlzzirhJ8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2BU2-00037Z-1A; Fri, 17 Jun 2022 14:53:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
References: <87a6s94vze.fsf@HIDDEN>
 <cbeb3eb3-89fe-082c-c1fc-b1054cc1354d@HIDDEN>
 <875z2v8fta.fsf@HIDDEN>
X-Now-Playing: Sevdaliza's _Shabrang_: "Oh My God"
Date: Fri, 17 Jun 2022 14:53:53 +0200
In-Reply-To: <875z2v8fta.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Sun, 14 Feb 2021 05:54:25 +0200")
Message-ID: <87mteb8n8e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Protesilaos Stavrou <info@HIDDEN> writes: > At any
 rate, that is outside the scope of this bug report. Please feel > free to
 close it---sorry for the noise. I think the conclusion here was that we don't
 want to add a keymap on the Branch header, so I'm closing this bug report.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46459
Cc: 46459 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Protesilaos Stavrou <info@HIDDEN> writes:

> At any rate, that is outside the scope of this bug report.  Please feel
> free to close it---sorry for the noise.

I think the conclusion here was that we don't want to add a keymap on
the Branch header, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 14 Feb 2021 13:56:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 14 08:56:31 2021
Received: from localhost ([127.0.0.1]:35609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lBHt0-0000Vl-Sz
	for submit <at> debbugs.gnu.org; Sun, 14 Feb 2021 08:56:31 -0500
Received: from mail-wr1-f48.google.com ([209.85.221.48]:40130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lBHsy-0000VW-CB
 for 46459 <at> debbugs.gnu.org; Sun, 14 Feb 2021 08:56:29 -0500
Received: by mail-wr1-f48.google.com with SMTP id v14so5401564wro.7
 for <46459 <at> debbugs.gnu.org>; Sun, 14 Feb 2021 05:56:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=wLSv6cyQqeZQpsl+9VmqmgEi3CD4GpMN8RdFDGd7urs=;
 b=e6y1qB7fBUbh6ritIF52JNiLpGjI3/UIikn5cXeqD5qZxrI++QMsMOyZi/woNhiCjB
 G8ADkj4nejxc770msZNibp6U2VN0EnHmALtgqdM0WWckxS7oITW79RJXYxyE1GwAg8nn
 ul18A7+Nb2XpgKYQneO3k/s62IoxpXne5H27ZAMYJefLimnItIxOw4I+fwoxb7wYc/HZ
 5HUOcgnYP1Nh4y/Rm/gtGkE3wGAJYu8fysMa02f1L2GpuPWqvnOQdm0wxhosGfNmWZyi
 r9ioNF0tL6mHdfVdBvwFJHLlp/PBAZu4BtWmLnKF5I8lKTtwf6AE2YBTWO87vLO1XOSE
 UF+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=wLSv6cyQqeZQpsl+9VmqmgEi3CD4GpMN8RdFDGd7urs=;
 b=I9ktpisTmwaipPWUkF9VzhZvFkch8+onEX170ZtcQHgi+mNHWQT1bU1Wf11N3FwjUR
 BcFcqNEaxa/skSmINHhHw5VdOrTlDZmiFYWTYD+H+Mh+1p2HvON9ykw5+yRobRD6SH0v
 TOu/YsRwy7BF2ZTNhAr6qUVrdxUwEe+t9gKp1GiIuepSytBZLgmrMzjdn8bMls9U2M3f
 SBAPPTcYVtSpa0zZgjP+R7xBztRcf15mw/zlbfZdKxs9cy1x0CJTAStgwouZfANHdmMT
 VmFjM86k0KXPtdBAKeuM/hIg7sRQ/9mXoeL4T/PWcbgRcCxGTSoQmEpfFXFMm2+H0cao
 ziCQ==
X-Gm-Message-State: AOAM533v/VtxZcvEyn8gcCb+oQSgi+tIdM46WSbXC8RXH0QMoXjLOInF
 gEpHOiR0GsPBwfS7nxShwE6Yh0O6PGEyStih
X-Google-Smtp-Source: ABdhPJyrQDjxrRDI0nGF8EF5D1ndKlqvifpBj/PwWqHDfB4qgyQyCnKgorMG4V6uR12+X2U+BRwp9w==
X-Received: by 2002:adf:8365:: with SMTP id 92mr14124012wrd.23.1613310981965; 
 Sun, 14 Feb 2021 05:56:21 -0800 (PST)
Received: from rltb ([2a01:e34:ecfc:a861:69b6:6aaf:dbd3:8964])
 by smtp.gmail.com with ESMTPSA id k11sm19100056wrv.51.2021.02.14.05.56.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 14 Feb 2021 05:56:21 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
References: <87a6s94vze.fsf@HIDDEN> <87h7mhwqyu.fsf@HIDDEN>
 <8735xzvpxq.fsf@HIDDEN>
 <d6dfa895-e063-bafb-8c4c-82aa1cdfdeaf@HIDDEN>
Date: Sun, 14 Feb 2021 14:56:20 +0100
In-Reply-To: <d6dfa895-e063-bafb-8c4c-82aa1cdfdeaf@HIDDEN> (Dmitry Gutov's
 message of "Sat, 13 Feb 2021 22:05:52 +0200")
Message-ID: <87v9auu517.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46459
Cc: Protesilaos Stavrou <info@HIDDEN>, 46459 <at> debbugs.gnu.org,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sat, 13 Feb 2021 22:05:52 +0200, Dmitry Gutov <dgutov@HIDDEN> s=
aid:

    Dmitry> On 13.02.2021 20:20, Juri Linkov wrote:
    >> Then the freed key C-x v s could be bound to vc-log-search
    >> (mnemonically more suitable for s =3D search):
    >> C-x v c - vc-create-tag
    >> C-x v s - vc-log-search

    Dmitry> Good idea, I like that.

Works for me, but I=CA=BCve used up my "change default behaviour" commit
bit for the week :-)

Although what do we do with vc-retrieve-tag in vc-dir (it=CA=BCs on B s)?
Move it to B r to mirror C-x v r?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 14 Feb 2021 03:54:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 22:54:40 2021
Received: from localhost ([127.0.0.1]:35327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB8Ua-0006cn-FV
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 22:54:40 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:51009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1lB8UV-0006cO-Q7
 for 46459 <at> debbugs.gnu.org; Sat, 13 Feb 2021 22:54:38 -0500
X-Originating-IP: 94.46.225.161
Received: from kronos (unknown [94.46.225.161])
 (Authenticated sender: public@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 29ADC60002;
 Sun, 14 Feb 2021 03:54:27 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
References: <87a6s94vze.fsf@HIDDEN>
 <cbeb3eb3-89fe-082c-c1fc-b1054cc1354d@HIDDEN>
Date: Sun, 14 Feb 2021 05:54:25 +0200
In-Reply-To: <cbeb3eb3-89fe-082c-c1fc-b1054cc1354d@HIDDEN> (Dmitry Gutov's
 message of "Sat, 13 Feb 2021 02:50:41 +0200")
Message-ID: <875z2v8fta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46459
Cc: 46459 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2021-02-13, 02:50 +0200, Dmitry Gutov <dgutov@HIDDEN> wrote:

> Hi!
>
> On 12.02.2021 08:54, Protesilaos Stavrou wrote:
>> In vc-git.el the header for vc-dir stashes is propertized with its own
>> keymap.  This means that while point is over the value of the "Stash:"
>> header, the specified keymap comes into effect, instead of the main one
>> for vc-dir.  The latter takes effect when point is anywhere but that
>> header's value.
>> Should this principle be applied to the value of the "Branch" header
>> as
>> well?  The attached patch is a proof-of-concept to that end.
>> If you believe this is worth doing, what else do you think should go
>> into such a patch from a usability standpoint?
>
> It seems less obviously useful, given that the stashes list allows one
> to interact with a particular stash (whether it is to view it or delete
> it), whereas this keymap should only save the user one S-b key sequence,
> and only if they figure out to move point to the branch name. I don't
> really object, though, if people like it.
>
> Speaking of usability, I guess something that would make this feature
> more discoverable could help, like a button on top of the branch name,
> and a menu similar to the stashes' one.

You are right: it does not add much value on its own.  A button is the
way to go, perhaps with its list of branches in a contracted state by
default.  That could also be accompanied by some extra branch-related
commands to make the button's list more useful.

At any rate, that is outside the scope of this bug report.  Please feel
free to close it---sorry for the noise.

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 13 Feb 2021 20:06:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 15:06:06 2021
Received: from localhost ([127.0.0.1]:35100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB1B7-0003wq-Sx
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 15:06:06 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:34116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lB1B2-0003wL-Lp
 for 46459 <at> debbugs.gnu.org; Sat, 13 Feb 2021 15:06:04 -0500
Received: by mail-wm1-f44.google.com with SMTP id o10so2456788wmc.1
 for <46459 <at> debbugs.gnu.org>; Sat, 13 Feb 2021 12:06:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=zAwThU7a0vSj2x14TwkZvwhVQy+iLMHM/22FYaVcOg8=;
 b=r/66pbji++qoObGLyCxa84g9nbUikfXwY2GkSOYdgfxCasBcEsk49Z+JTm3HUmcFZh
 oRrWvBS2YD+vWZ55QzcZZDnUoKH2bdbTahuBoYd1ogHXBajwww5nrpplF2EWgJueE9PL
 sdI822A5y3bcplw+GUOiOpjQfxlY7KmqHDKFiUOUiTnwDoBEYHtHuYIqgD1eRnispd7x
 j8BpYdwxPBTXns5GEDGeXnAWHvf2j/ShDLtthJBB+5tVjen3QB+/bhvt7gZB/THcCp3/
 hxh9JbTfjDh3UM9UwPuUwCY/Q6oFXWkabsr7+dRw5yRnuWZzbwq+32MZZZzoAe2ETbW1
 dz9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=zAwThU7a0vSj2x14TwkZvwhVQy+iLMHM/22FYaVcOg8=;
 b=jlLeEMf+33AO6JJ7YvhgsIS2SQYWva8FWJqNt2IEe8tw3EPs50oMo7JhbeVu7NUbvV
 eT7i2NjOrS1qph1rlkaRFPLGfjGRyXx4fI2ILMcNlTz0K5E+Z6+uGuyjckq8TendyNIG
 Vi0s3cUYDQhjE1+VVNtfipC9omcv4BCx2p5ScMSj2ejILL2YZWvgVt5hWLlGHsD71cRZ
 3SjD/ls5TXVI7dWFtC2byFHt2NYpryAHkBRjGD8w5WTo1CG+Nu2/9jAYwfZBH8U00DxA
 ojdQLBMo7tFD0BIBPHn+5am1JQnuLmFKexlpQViiFdCszf6bLvV61AYSrc3HUobFMdoG
 +lHQ==
X-Gm-Message-State: AOAM5333bFNZkqqwbxqWpjKHt5miU5KVlmLH8QcjkRapDGnE61EKw1Jc
 GYIU2+1VwDnJ1c2/Idj96tgKBKa1KPg=
X-Google-Smtp-Source: ABdhPJxJ7qRPR5QcpJFlxBj1YGucum4lNKkvUNb9pSaYo2Jb1J4QaLzFRIu915Eeg0IB+z+SeE/tgw==
X-Received: by 2002:a1c:113:: with SMTP id 19mr7716418wmb.7.1613246754918;
 Sat, 13 Feb 2021 12:05:54 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id w16sm2279375wrk.38.2021.02.13.12.05.53
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 13 Feb 2021 12:05:54 -0800 (PST)
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
To: Juri Linkov <juri@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
References: <87a6s94vze.fsf@HIDDEN> <87h7mhwqyu.fsf@HIDDEN>
 <8735xzvpxq.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d6dfa895-e063-bafb-8c4c-82aa1cdfdeaf@HIDDEN>
Date: Sat, 13 Feb 2021 22:05:52 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <8735xzvpxq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46459
Cc: Protesilaos Stavrou <info@HIDDEN>, 46459 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 13.02.2021 20:20, Juri Linkov wrote:
> Then the freed key C-x v s could be bound to vc-log-search
> (mnemonically more suitable for s = search):
> 
>    C-x v c - vc-create-tag
>    C-x v s - vc-log-search

Good idea, I like that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 13 Feb 2021 18:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 13:33:09 2021
Received: from localhost ([127.0.0.1]:35036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAzjB-0001kM-02
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 13:33:09 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:50097)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lAzj8-0001ji-Pq
 for 46459 <at> debbugs.gnu.org; Sat, 13 Feb 2021 13:33:07 -0500
X-Originating-IP: 91.129.108.204
Received: from mail.gandi.net (m91-129-108-204.cust.tele2.ee [91.129.108.204])
 (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 449E01C0003;
 Sat, 13 Feb 2021 18:32:57 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
Organization: LINKOV.NET
References: <87a6s94vze.fsf@HIDDEN> <87h7mhwqyu.fsf@HIDDEN>
Date: Sat, 13 Feb 2021 20:20:13 +0200
In-Reply-To: <87h7mhwqyu.fsf@HIDDEN> (Robert Pluim's message of "Fri, 12
 Feb 2021 10:55:05 +0100")
Message-ID: <8735xzvpxq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46459
Cc: Protesilaos Stavrou <info@HIDDEN>, 46459 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Looks good to me, although Iʼve just noticed the vc and vc-dir have
> confusingly different bindings for vc-retrieve-tag and vc-create-tag
> Maybe put vc-create-tag on C-x v c as well?

Then the freed key C-x v s could be bound to vc-log-search
(mnemonically more suitable for s = search):

  C-x v c - vc-create-tag
  C-x v s - vc-log-search




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 13 Feb 2021 00:51:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 19:51:27 2021
Received: from localhost ([127.0.0.1]:33242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAj9j-0006lb-HG
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 19:51:27 -0500
Received: from mail-wm1-f52.google.com ([209.85.128.52]:36826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lAj9g-0006lL-MM
 for 46459 <at> debbugs.gnu.org; Fri, 12 Feb 2021 19:51:27 -0500
Received: by mail-wm1-f52.google.com with SMTP id i9so1442558wmq.1
 for <46459 <at> debbugs.gnu.org>; Fri, 12 Feb 2021 16:51:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9+N6FV60JKmV8agBm/X5QczGIbFDfsD3C7DOhKaFfAA=;
 b=F3YKcrGlfM+Ma1MEh4Yrr8ykxeb/91AiLaPoWpdU6MRFnlG+kWcm4mcIJrA+DgY7fl
 mwonuAdGHiaAERfE7rozC01aDY1y83TngjOfNqG4IlrHPHkb9eFGl9KLb7FAM6wcOdN7
 VScnddovAhgQ1ZVfXIw50f7F3YKiQYycRqP/bjOopjWeucCkCT1HNnGDxBOMwZq/amb3
 azFrx+2/v2AAULeyOPNs+dD/hj953RmtfImn2DmZGxNiO45F6ve6f5iXvIOdoSmXsIuM
 /ch8p4zQQXAWpYXxVqql+5xEIp5AvTSgE1AiHRHozJqKLvhtKeLkZdmuE6QZgt36QyRJ
 n/zw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9+N6FV60JKmV8agBm/X5QczGIbFDfsD3C7DOhKaFfAA=;
 b=GZJt+i1UOZJtX4JhPx9f9C0Y1KPP4rGYWMK+3zKcYkxcuJDIsXD6eBYZ83fZLqBlU8
 mRn4i/+uE6H0/GsZnLzMb0X/tTV1zH0eKLS1m0RxCGOLlQpYR3Wzcy/46NaOiy3y7kM2
 G+ka5RveIP5BL09omBdvLuosND+scU/0kScjG56wa5VXu8TzIE+eYhe9qvKcGrJl1bBR
 oKK/pUUuF2mSILPL0R68/lHSS78tHgI0NanEy3A2cAQ7QXJSY0T+JmXH7GF15PBp7wjo
 sXRcgH6jlntFD9IHXXW2v88nhWazubukCgQYgJx7sPZw3x2gt1HPREUpGcQHkH7PXBnL
 uN1Q==
X-Gm-Message-State: AOAM530xkjNPRpVm6SZkAUtymaSZ4cglIA0YpEFBu2bDt6hGWjDugP0G
 JjyjKWCxmc/FisG6IphkCZ4bczGZfG8=
X-Google-Smtp-Source: ABdhPJySda/D7BJ/BugFOTKu7x29tUnX1KtWZ03DAjY3p+VUTkbyqbzIhqkIHM6lWK+tiqkIEBe0jw==
X-Received: by 2002:a7b:c0cf:: with SMTP id s15mr4847470wmh.1.1613177478923;
 Fri, 12 Feb 2021 16:51:18 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id z5sm7206015wrn.15.2021.02.12.16.51.17
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 12 Feb 2021 16:51:18 -0800 (PST)
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
To: Robert Pluim <rpluim@HIDDEN>, Protesilaos Stavrou <info@HIDDEN>
References: <87a6s94vze.fsf@HIDDEN> <87h7mhwqyu.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0d708bdf-01c4-d51c-7784-89729086595c@HIDDEN>
Date: Sat, 13 Feb 2021 02:51:16 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <87h7mhwqyu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 46459
Cc: 46459 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 12.02.2021 11:55, Robert Pluim wrote:
> Looks good to me, although Iʼve just noticed the vc and vc-dir have
> confusingly different bindings for vc-retrieve-tag and vc-create-tag
> Maybe put vc-create-tag on C-x v c as well?

The key binding space is limited, though. Perhaps we should decide on a 
key and use it in both cases.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 13 Feb 2021 00:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 19:50:53 2021
Received: from localhost ([127.0.0.1]:33238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAj9B-0006k8-8N
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 19:50:53 -0500
Received: from mail-wr1-f46.google.com ([209.85.221.46]:34593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lAj97-0006js-QS
 for 46459 <at> debbugs.gnu.org; Fri, 12 Feb 2021 19:50:51 -0500
Received: by mail-wr1-f46.google.com with SMTP id g10so1470577wrx.1
 for <46459 <at> debbugs.gnu.org>; Fri, 12 Feb 2021 16:50:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=mlCAZ96FMG6mXR/Xirgosw4sPZi3H1gzQAgWDsbr5XQ=;
 b=rXoeBUL6boCTQ7hAoLBe2vNFJ9SHxm+M3asypEV8tfYhZdEv+XPuZZEVNmzlFpp/+m
 KGx4iboqZ0RzmZFu5z45uVD6ToTPffOfpwCXdZRgy6C0Q0X9KCJTuRNFQawbKs+I8mO/
 WdewIP5J/qN71x/AdrjeS5LZl8ZxUcXiigrlfZMZpczdnGyewLQQW0I5HwfD0vSVgy4R
 j14X+iDM4OOuUADefbsj663sviwqNNFlp2rkCWAB3e36Jog8x5PIuIK9AP1MoGK7SZuR
 y5b2pSr3Vq5d4aaj6SCZH5rQ1eiMJHGI3VvNiUlNggXl98huQB8TAySO5H7ALAzj16vN
 aLLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=mlCAZ96FMG6mXR/Xirgosw4sPZi3H1gzQAgWDsbr5XQ=;
 b=CyUjgWUgFP39+1y7MAXvRBvuB+s2hyvXwGGTyT0fiVLTdhivr4R2a172B0YbqRYbId
 F5Pnmqaw4ceox6ltLCGLCPXO3wtI9yodwk1pwJ5yd8jUbLw3VCZM2Losi7sGHgfz9ROX
 4PynBvPTxGpnstzhQFuVd9b9EKJtwiyv04CpP3CUUqKXDBSdp4QlZJ2HV6Z5vqKGE/Uv
 0r0FB0VdrHrsj2mxpfe436QTAsKd4CjNfzWHPtJIbCiG1zoZyBkCheoTm//xQ3rUEH05
 MOIxlGctIIIjowIAlsp8ORbaoHn0sFTnpQQv8a9fNzc1xN0SvHwwnZ01/2jwz1eJko4Y
 W/HQ==
X-Gm-Message-State: AOAM532ra3yy8kN587q0LT5MIVlLIKXMUQ+eX+R9KgAHij4SnGvkiPRP
 yVwv5aYcjnzbE1tVQZwo7jzUDK4GGXU=
X-Google-Smtp-Source: ABdhPJzS77nmwTNWsAPwiT+0GsQPMLDTOru64o2BK42OcXANA5q0Nxzk8to3FkoJw7CXPiwQ8d5aeQ==
X-Received: by 2002:adf:97d3:: with SMTP id t19mr6516760wrb.164.1613177443834; 
 Fri, 12 Feb 2021 16:50:43 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id c18sm50260809wmk.0.2021.02.12.16.50.42
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 12 Feb 2021 16:50:42 -0800 (PST)
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
To: Protesilaos Stavrou <info@HIDDEN>, 46459 <at> debbugs.gnu.org
References: <87a6s94vze.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <cbeb3eb3-89fe-082c-c1fc-b1054cc1354d@HIDDEN>
Date: Sat, 13 Feb 2021 02:50:41 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <87a6s94vze.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 46459
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hi!

On 12.02.2021 08:54, Protesilaos Stavrou wrote:
> In vc-git.el the header for vc-dir stashes is propertized with its own
> keymap.  This means that while point is over the value of the "Stash:"
> header, the specified keymap comes into effect, instead of the main one
> for vc-dir.  The latter takes effect when point is anywhere but that
> header's value.
> 
> Should this principle be applied to the value of the "Branch" header as
> well?  The attached patch is a proof-of-concept to that end.
> 
> If you believe this is worth doing, what else do you think should go
> into such a patch from a usability standpoint?

It seems less obviously useful, given that the stashes list allows one 
to interact with a particular stash (whether it is to view it or delete 
it), whereas this keymap should only save the user one S-b key sequence, 
and only if they figure out to move point to the branch name. I don't 
really object, though, if people like it.

Speaking of usability, I guess something that would make this feature 
more discoverable could help, like a button on top of the branch name, 
and a menu similar to the stashes' one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at 46459 <at> debbugs.gnu.org:


Received: (at 46459) by debbugs.gnu.org; 12 Feb 2021 09:55:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 04:55:15 2021
Received: from localhost ([127.0.0.1]:59965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAVAR-0001lX-Fa
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 04:55:15 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:51624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lAVAP-0001lI-2e
 for 46459 <at> debbugs.gnu.org; Fri, 12 Feb 2021 04:55:14 -0500
Received: by mail-wm1-f50.google.com with SMTP id u16so383031wmq.1
 for <46459 <at> debbugs.gnu.org>; Fri, 12 Feb 2021 01:55:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=He4Jym8DCWms0MbOvW4bp/IZzK9GBmHJvEqkv6eOves=;
 b=rujhZTx7jR7Fj+M1ElZEI2WacHa8pbBmVmJb4Sw2fFASzCupcaVskNTWAWNBlOkBCE
 Ye8JT050ytAm4K9BYFRUdYg+8ak/mg3837jWAgC29u0jKig8RCZrmMBBH6899DfAlcnG
 mc+BGWB//YzgJP5X2zBurjadmtVtWwQFNje1+CuvlLfdUOsRdM5BN8iJWBI5eDp642Sl
 5B6VL6KCIwuChe6mOL8Bl+7+lH7s+T4mZXt4FQfMHoGswfBzy1vb8B5RP2DorktJGw4+
 eteqsNw//vtD1yNxzi7am47P6fb50ReKstxmrCiakqgHI7s+ka8YoQLc97RcqwepMnXI
 91bQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=He4Jym8DCWms0MbOvW4bp/IZzK9GBmHJvEqkv6eOves=;
 b=Ikk1r0B+hwkq4GQ/m5s0LtCXxtaE3VdqXik7i5b2y0BSkQjKT1aOvhYhsbbyu3eLj5
 yb0a6Xb+ykT4kQbBhSgQEFesmlPjOrf7jKMvUzdlVy6T9Huo84QlkQT4FZ8twijV1536
 l7TuTwgX1zSyp4Jq9r2Eh1T/ZHAwoNsLg8d04OQbKvLjB5+FD+A6P1wxAW+R3WV1uLKH
 PSOvEzOPnB1B0zaoNhtR7U6c4IeffRmofKA3Ro2r29C7KcCWNCWIpl9TiA2QVhzHfa9x
 2hQgYFeLaRUWMPR1Da++WRUEAKxQqVD56PlCYBVdPZnDiWoHLlxIVobVJH7SeIdVOsi5
 HfTA==
X-Gm-Message-State: AOAM531Dw+UPNcPr5pkZA/M1xDyL+DnlS5oBJD2WtIBl24x0rs/l5cMS
 V9zxUyk7JCrGVGrF/4H7VwuiOv7lEuC/wA==
X-Google-Smtp-Source: ABdhPJwx52s4dKdiP/bRDyW9Xr5yVFcwtHjaqn7dyKIGB7Z74mqRcKHePc4ymEPEWONSFsk3jQv0xw==
X-Received: by 2002:a1c:2d48:: with SMTP id t69mr1864388wmt.124.1613123706659; 
 Fri, 12 Feb 2021 01:55:06 -0800 (PST)
Received: from rltb ([2a01:e34:ecfc:a861:69b6:6aaf:dbd3:8964])
 by smtp.gmail.com with ESMTPSA id n187sm13523145wmf.29.2021.02.12.01.55.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 12 Feb 2021 01:55:06 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
Subject: Re: bug#46459: 28.0.50; Shared keymap for Git VC dir "Branch" header?
References: <87a6s94vze.fsf@HIDDEN>
Date: Fri, 12 Feb 2021 10:55:05 +0100
In-Reply-To: <87a6s94vze.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Fri, 12 Feb 2021 08:54:13 +0200")
Message-ID: <87h7mhwqyu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46459
Cc: 46459 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 12 Feb 2021 08:54:13 +0200, Protesilaos Stavrou <info@protesi=
laos.com> said:

    Protesilaos> Dear maintainers,
    Protesilaos> In vc-git.el the header for vc-dir stashes is propertized =
with its own
    Protesilaos> keymap.  This means that while point is over the value of =
the "Stash:"
    Protesilaos> header, the specified keymap comes into effect, instead of=
 the main one
    Protesilaos> for vc-dir.  The latter takes effect when point is anywher=
e but that
    Protesilaos> header's value.

    Protesilaos> Should this principle be applied to the value of the "Bran=
ch" header as
    Protesilaos> well?  The attached patch is a proof-of-concept to that en=
d.

    Protesilaos> If you believe this is worth doing, what else do you think=
 should go
    Protesilaos> into such a patch from a usability standpoint?

Looks good to me, although I=CA=BCve just noticed the vc and vc-dir have
confusingly different bindings for vc-retrieve-tag and vc-create-tag
Maybe put vc-create-tag on C-x v c as well?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2021 06:54:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 01:54:27 2021
Received: from localhost ([127.0.0.1]:59790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lASLS-0003mg-M8
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 01:54:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:52190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1lASLO-0003mU-HJ
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 01:54:25 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54212)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <info@HIDDEN>)
 id 1lASLO-0008Qx-8U
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2021 01:54:22 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:16871)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <info@HIDDEN>)
 id 1lASLM-00073D-9D
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2021 01:54:22 -0500
X-Originating-IP: 94.46.225.161
Received: from kronos (unknown [94.46.225.161])
 (Authenticated sender: public@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id A5744240004
 for <bug-gnu-emacs@HIDDEN>; Fri, 12 Feb 2021 06:54:16 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Shared keymap for Git VC dir "Branch" header?
Date: Fri, 12 Feb 2021 08:54:13 +0200
Message-ID: <87a6s94vze.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: none client-ip=217.70.183.193; envelope-from=info@HIDDEN;
 helo=relay1-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Dear maintainers,

In vc-git.el the header for vc-dir stashes is propertized with its own
keymap.  This means that while point is over the value of the "Stash:"
header, the specified keymap comes into effect, instead of the main one
for vc-dir.  The latter takes effect when point is anywhere but that
header's value.

Should this principle be applied to the value of the "Branch" header as
well?  The attached patch is a proof-of-concept to that end.

If you believe this is worth doing, what else do you think should go
into such a patch from a usability standpoint?

All the best,
Protesilaos

-- 
Protesilaos Stavrou
protesilaos.com

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Add-shared-keymap-to-Git-VC-dir-Branch-header.patch

From 8945cf63f2fc16881b95ed5be209885b73b9449f Mon Sep 17 00:00:00 2001
Message-Id: <8945cf63f2fc16881b95ed5be209885b73b9449f.1613112064.git.info@HIDDEN>
From: Protesilaos Stavrou <info@HIDDEN>
Date: Fri, 12 Feb 2021 08:40:33 +0200
Subject: [PATCH] Add shared keymap to Git VC dir "Branch" header

* lisp/vc/vc-git.el (vc-git-branch-shared-map): Define new keymap.
(vc-git-dir-extra-headers): Propertize header with new keymap.
---
 lisp/vc/vc-git.el | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index 25ae26d746..030af2a379 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -656,6 +656,13 @@ vc-git-dir-status-files
                                  :files files
                                  :update-function update-function)))
 
+(defvar vc-git-branch-shared-map
+  (let ((map (make-sparse-keymap)))
+    (define-key map "c" 'vc-create-tag)
+    (define-key map "l" 'vc-print-branch-log)
+    (define-key map "t" 'vc-retrieve-tag)
+    map))
+
 (defvar vc-git-stash-shared-map
   (let ((map (make-sparse-keymap)))
     (define-key map "S" 'vc-git-stash-snapshot)
@@ -814,7 +821,8 @@ vc-git-dir-extra-headers
     (concat
      (propertize "Branch     : " 'face 'vc-dir-header)
      (propertize branch
-		 'face 'vc-dir-header-value)
+		 'face 'vc-dir-header-value
+                 'keymap vc-git-branch-shared-map)
      (when remote-url
        (concat
 	"\n"
-- 
2.30.0


--=-=-=--




Acknowledgement sent to Protesilaos Stavrou <info@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46459; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jun 2022 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.